# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
%define _binary_payload w9.gzdio

Name:           geotools
Version:        2.6.5
Release:        1%{?dist}
Summary:        Java GIS Toolkit

Group:          Development/Libraries
License:        LGPL
URL:            http://www.geotools.org

Source0:        geotools-%{version}.tgz
# svn export http://svn.osgeo.org/geotools/tags/2.6.5/ geotools-2.6.5
# tar czf geotools-2.6.5.tgz geotools-2.6.5/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml 
Source3:        http://download.osgeo.org/webdav/geotools/com/oracle/dummy_spatial/8.1.8/dummy_spatial-8.1.8.pom
Source4:        http://download.osgeo.org/webdav/geotools/com/oracle/dummy_spatial/8.1.8/dummy_spatial-8.1.8.jar
Source5:        geotools-app-schema-packages.tgz

Patch0:         geotools-legacy-postpone.patch
Patch1:         geotools-build-maven-javadoc-postpone.patch
Patch2:         geotools-modules-plugin-pom.patch
Patch3:         geotools-modules-extension-xsd-gml2-pom.patch
Patch4:         geotools-modules-extension-xsd-gml3-pom.patch
Patch5:         geotools-modules-extension-xsd-filter-pom.patch
Patch6:         geotools-modules-extension-xsd-kml-pom.patch
Patch7:         geotools-modules-extension-xsd-ows-pom.patch
Patch8:         geotools-modules-extension-xsd-wfs-pom.patch
Patch9:         geotools-modules-extension-xsd-wps-pom.patch
Patch10:        geotools-modules-unsupported-pom.patch
Patch11:        geotools-coveragetools-pom.patch
Patch12:        geotools-BaseArgumentsManager.patch
Patch13:        geotools-netcdf4-NetcdfMetadata.patch
Patch14:        geotools-netcdf4-NetcdfReadParam.patch
Patch15:        geotools-netcdf4-VariableMetadata.patch
Patch16:        geotools-netcdf4-NetcdfImageReader.patch
#Patch17:        geotools-ArcGridReader.patch
Patch18:        geotools-RasterLayerRequest.patch
Patch19:        geotools-jp2k-Utils.patch
Patch20:        geotools-pom.patch
Patch21:        geotools-UOMsTypeImpl.patch
Patch22:        geotools-nodownload.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  dos2unix
BuildRequires:  maven2 >= 2.0.8
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  jpackage-utils >= 0:5.0.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  antlr
BuildRequires:  asm2
BuildRequires:  bsf
BuildRequires:  bsh
BuildRequires:  cglib
BuildRequires:  classworlds
BuildRequires:  icu4j
BuildRequires:  miglayout
BuildRequires:  mockrunner
BuildRequires:  apache-commons-parent
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-chain
BuildRequires:  apache-commons-cli2
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-jxpath
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-pool
BuildRequires:  apache-commons-validator
# com/oracle/dummy_spatial/8.1.8/dummy_spatial-8.1.8.jar
BuildRequires:  eastwood
BuildRequires:  freemarker
BuildRequires:  hsqldb
BuildRequires:  imageio-ext
BuildRequires:  java3d
BuildRequires:  javacc
BuildRequires:  jaf_1_1_api
BuildRequires:  javamail_1_4_api
BuildRequires:  jai-core
BuildRequires:  jai-imageio-core
BuildRequires:  jboss4-j2ee
BuildRequires:  jsp_2_0_api
BuildRequires:  jts-topo-suite
BuildRequires:  servlet_2_4_api
BuildRequires:  jdom
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  jsqlparser
BuildRequires:  jsr275
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:  mockejb
BuildRequires:  mysql-connector-java
BuildRequires:  nekohtml
BuildRequires:  netcdf-java >= 0:4.0
BuildRequires:  groboutils
BuildRequires:  hatbox
BuildRequires:  maven-doxia
BuildRequires:  maven-shared-archiver
BuildRequires:  maven-shared-plugin-tools-api
BuildRequires:  maven-shared-plugin-tools-beanshell
BuildRequires:  maven-shared-plugin-tools-java
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire
BuildRequires:  maven-wagon
BuildRequires:  velocity14
BuildRequires:  xmlgraphics-batik
BuildRequires:  xmlgraphics-commons
BuildRequires:  xmlgraphics-fop
BuildRequires:  xml-commons-resolver12
BuildRequires:  mojo-maven2-plugin-cobertura
BuildRequires:  mojo-maven2-plugin-exec
BuildRequires:  plexus-archiver
BuildRequires:  plexus-compiler
BuildRequires:  plexus-container-default
BuildRequires:  plexus-digest
BuildRequires:  plexus-i18n
BuildRequires:  plexus-utils
BuildRequires:  plexus-velocity
BuildRequires:  easymock2
BuildRequires:  easymock-classextension2
BuildRequires:  eclipse-emf
BuildRequires:  eclipse-emf-xsd
BuildRequires:  h2database
BuildRequires:  objectweb-asm
BuildRequires:  geodb
BuildRequires:  geoapi
BuildRequires:  postgis-jdbc
BuildRequires:  slf4j
# org/xerial/sqlite-jdbc/1.0/sqlite-jdbc-1.0.jar
BuildRequires:  oro
BuildRequires:  picocontainer
BuildRequires:  postgresql-jdbc
BuildRequires:  qdox
BuildRequires:  simple-jndi
BuildRequires:  struts
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xmlunit
BuildRequires:  xpp3


Requires:  java >= 1.6.0
Requires:  jpackage-utils >= 0:5.0.0
Requires:  %{name}-libraries = 0:%{version}-%{release}

Requires(post):    jpackage-utils >= 0:5.0.0
Requires(postun):  jpackage-utils >= 0:5.0.0

BuildArch:      noarch

%description
GeoTools is an open source (LGPL) Java code library which 
provides standards compliant methods for the manipulation of
geospatial data, for example to implement Geographic 
Information Systems (GIS). The GeoTools library implements 
Open Geospatial Consortium (OGC) specifications as they are 
developed. The capabilities of GeoTools are presented in the 
feature list.
Geotools is used by a number of projects including Web 
Feature Servers, Web Map Servers, and desktop applications. 
For more information check out some fascinating screenshots 
and applications powered by GeoTools!

%package libraries
Summary:        Core libraries for %{name} 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       apache-commons-beanutils
Requires:       apache-commons-dbcp
Requires:       apache-commons-logging
Requires:       apache-commons-pool
Requires:       geoapi
Requires:       jai-core
Requires:       jai-imageio-core
Requires:       jdom
Requires:       java3d
Requires:       jsr275
Requires:       jts-topo-suite
Requires:       junit
 
%description libraries
%{summary}. 

%package build 
Summary:        Build tools for %{name} 
Group:          Development/Libraries 
Requires:       %{name} = %{version}-%{release} 
 
%description build
%{summary}. 

%package demo
Summary:        Examples for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
 
%description demo
%{summary}. 

%package extensions
Summary:        Extensions for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       %{name}-ogc = %{version}-%{release} 
Requires:       apache-commons-beanutils
Requires:       apache-commons-collections
Requires:       apache-commons-jxpath
Requires:       apache-commons-lang
Requires:       eclipse-emf
Requires:       eclipse-emf-xsd
Requires:       geoapi
Requires:       jsr275
Requires:       jts-topo-suite
Requires:       junit
Requires:       picocontainer
Requires:       xalan-j2
 
%description extensions
%{summary}. 

%package ogc
Summary:        OGC implementations for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       eclipse-emf
Requires:       geoapi
Requires:       jsr275
 
%description ogc
%{summary}. 

%package plugin-arcgrid
Summary:        ArcGrid plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       imageio-ext
Requires:       jai-core
Requires:       jai-imageio-core
Requires:       jsr275
Requires:       jts-topo-suite
 
%description plugin-arcgrid
%{summary}. 

%package plugin-arcsde
Summary:        ArcSDE plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       apache-commons-pool
Requires:       geoapi
Requires:       jai-core
Requires:       jai-imageio-core
Requires:       jsqlparser
Requires:       jts-topo-suite
 
%description plugin-arcsde
%{summary}. 

%package plugin-charts
Summary:        Charts plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       eastwood
Requires:       jfreechart
 
%description plugin-charts
%{summary}. 

%package plugin-epsg-extension
Summary:        Epsg extension plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
 
%description plugin-epsg-extension
%{summary}. 

%package plugin-epsg-hsql
Summary:        Epsg hsql plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       hsqldb
 
%description plugin-epsg-hsql
%{summary}. 

%package plugin-epsg-postgresql
Summary:        Epsg postgresql plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       postgresql-jdbc
 
%description plugin-epsg-postgresql
%{summary}. 

%package plugin-epsg-wkt
Summary:        Epsg WKT plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
 
%description plugin-epsg-wkt
%{summary}. 

%package plugin-feature-pregeneralized
Summary:        Featura pregeneralized plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-feature-pregeneralized
%{summary}. 

%package plugin-geotiff
Summary:        Geotiff plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       imageio-ext
Requires:       jai-core
Requires:       jai-imageio-core
Requires:       jdom
Requires:       jsr275
Requires:       jts-topo-suite
 
%description plugin-geotiff
%{summary}. 

%package plugin-gtopo30
Summary:        GTopo30 plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       jai-core
Requires:       jai-imageio-core
Requires:       jsr275
 
%description plugin-gtopo30
%{summary}. 

%package plugin-imageio-ext-gdal
Summary:        Imageio Ext GDAL plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       imageio-ext
Requires:       jai-core
 
%description plugin-imageio-ext-gdal
%{summary}. 

%package plugin-imagemosaic-jdbc
Summary:        Imagemosaic plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jai-core
Requires:       jai-imageio-core
 
%description plugin-imagemosaic-jdbc
%{summary}. 

%package plugin-imagemosaic
Summary:        Imagemosaic JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       %{name}-plugin-image = %{version}-%{release} 
Requires:       %{name}-plugin-imageio-ext-gdal = %{version}-%{release} 
Requires:       %{name}-plugin-shapefile = %{version}-%{release} 
Requires:       apache-commons-io
Requires:       geoapi
Requires:       imageio-ext
Requires:       jai-core
Requires:       jai-imageio-core
Requires:       jts-topo-suite
 
%description plugin-imagemosaic
%{summary}. 

%package plugin-imagepyramid
Summary:        Imagepyramid plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       %{name}-plugin-imagemosaic = %{version}-%{release} 
Requires:       apache-commons-io
Requires:       geoapi
Requires:       jai-imageio-core
 
%description plugin-imagepyramid
%{summary}. 

%package plugin-image
Summary:        Image plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       imageio-ext
Requires:       jai-core
Requires:       jai-imageio-core
 
%description plugin-image
%{summary}. 

%package plugin-jdbc-db2
Summary:        DB2 JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-jdbc-db2
%{summary}. 

%package plugin-jdbc-h2
Summary:        H2 JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       apache-commons-dbcp
Requires:       geodb
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-jdbc-h2
%{summary}. 

%package plugin-jdbc-mysql
Summary:        Mysql JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-jdbc-mysql
%{summary}. 

%package plugin-jdbc-oracle
Summary:        Oracle JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-jdbc-oracle
%{summary}. 

%package plugin-jdbc-postgis
Summary:        PostGIS JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-jdbc-postgis
%{summary}. 

%package plugin-jdbc-spatialite
Summary:        Spatialite JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-jdbc-spatialite
%{summary}. 

%package plugin-jdbc-sqlserver
Summary:        SQLServer JDBC plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-jdbc-sqlserver
%{summary}. 

%package plugin-jp2k
Summary:        JP2K plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       apache-commons-io
Requires:       geoapi
Requires:       imageio-ext
Requires:       jai-core
Requires:       jai-imageio-core
 
%description plugin-jp2k
%{summary}. 

%package plugin-postgis
Summary:        PostGIS plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
Requires:       postgresql-jdbc
 
%description plugin-postgis
%{summary}. 

%package plugin-property
Summary:        Property plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jts-topo-suite
 
%description plugin-property
%{summary}. 

%package plugin-referencing3D
Summary:        Referencing 3D plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
 
%description plugin-referencing3D
%{summary}. 

%package plugin-shapefile
Summary:        Shapefile plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       jdom
Requires:       jts-topo-suite
 
%description plugin-shapefile
%{summary}. 

%package plugin-svg
Summary:        SVG plugin for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       geoapi
Requires:       xmlgraphics-batik
 
%description plugin-svg
%{summary}. 

%package unsupported
Summary:        Unsupported modules for %{name} 
Group:          Development/Libraries 
Requires:       %{name}-libraries = %{version}-%{release} 
Requires:       %{name}-extensions = %{version}-%{release} 
Requires:       %{name}-ogc = %{version}-%{release} 
Requires:       %{name}-plugin-geotiff = %{version}-%{release} 
Requires:       %{name}-plugin-image = %{version}-%{release} 
Requires:       %{name}-plugin-imagemosaic = %{version}-%{release} 
Requires:       %{name}-plugin-postgis = %{version}-%{release} 
Requires:       %{name}-plugin-shapefile = %{version}-%{release} 
Requires:       apache-commons-cli2
Requires:       apache-commons-codec
Requires:       apache-commons-collections
Requires:       apache-commons-digester
Requires:       apache-commons-httpclient
Requires:       apache-commons-io
Requires:       apache-commons-jxpath
Requires:       apache-commons-logging
Requires:       eclipse-emf
Requires:       eclipse-emf-xsd
Requires:       freemarker
Requires:       geoapi
Requires:       h2database
Requires:       imageio-ext
Requires:       jai-core
Requires:       jai-imageio-core
Requires:       javamail_1_4_api
Requires:       jdom
Requires:       jsqlparser
Requires:       jsr275
Requires:       jts-topo-suite
Requires:       miglayout
Requires:       netcdf-java
Requires:       picocontainer
Requires:       swingx
Requires:       xpp3
 
%description unsupported 
%{summary}. 

%package app-schema-packages
Summary:        Standard schema modules for %{name} 
Group:          Development/Libraries 

%description app-schema-packages 
%{summary}. 


%package javadoc 
Summary:        Javadocs for %{name} 
Group:          Documentation 
 
%description javadoc 
%{summary}. 

%prep
%setup -q 
tar xzf %{SOURCE5}
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
%patch0  -b .sav0
%patch1  -b .sav1
%patch2  -b .sav2
%patch3  -b .sav3
%patch4  -b .sav4
%patch5  -b .sav5
%patch6  -b .sav6
%patch7  -b .sav7
%patch8  -b .sav8
%patch9  -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
%patch13 -b .sav13
%patch14 -b .sav14
%patch15 -b .sav15
%patch16 -b .sav16
#%patch17 -b .sav17
%patch18 -b .sav18
%patch19 -b .sav19
%patch20 -b .sav20
%patch21 -b .sav21
%patch22 -b .sav22
#for j in $(find . -name "*.java"); do
#    dos2unix $j
#done
mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}
mkdir -p ${MAVEN_REPO_LOCAL}/org/geotools/maven/maven/%{version}/
cp build/maven/pom.xml ${MAVEN_REPO_LOCAL}/org/geotools/maven/maven/%{version}/maven-%{version}.pom
mkdir -p ${MAVEN_REPO_LOCAL}/org/geotools/maven/build/%{version}/
cp build/pom.xml ${MAVEN_REPO_LOCAL}/org/geotools/maven/build/%{version}/build-%{version}.pom
mkdir -p ${MAVEN_REPO_LOCAL}/org/geotools/geotools/%{version}/
cp pom.xml ${MAVEN_REPO_LOCAL}/org/geotools/geotools/%{version}/geotools-%{version}.pom
export MAVEN_OPTS="-Dmaven2.jpp.mode=true -Dmaven2.jpp.depmap.file=%{SOURCE2} -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Djava.awt.headless=true -Daggregate=true -Dallow.test.failure.ignore=true -Dmaven.test.failure.ignore=true -Dall=true"
export MAVEN_SETTINGS=$(pwd)/settings.xml
PTF=$(ls /usr/share/eclipse/dropins/emf/eclipse/plugins/org.eclipse.emf.ecore_*.jar)
%{_bindir}/mvn-jpp install:install-file -DgroupId=org.eclipse.emf -DartifactId=ecore -Dversion=2.2.2 -Dpackaging=jar -Dfile=$PTF
PTF=$(ls /usr/share/eclipse/dropins/emf/eclipse/plugins/org.eclipse.emf.common_*.jar)
%{_bindir}/mvn-jpp install:install-file -DgroupId=org.eclipse.emf -DartifactId=common -Dversion=2.2.1 -Dpackaging=jar -Dfile=$PTF
PTF=$(ls /usr/share/eclipse/dropins/xsd/eclipse/plugins/org.eclipse.xsd_*.jar)
%{_bindir}/mvn-jpp install:install-file -DgroupId=org.eclipse.xsd -DartifactId=xsd -Dversion=2.2.2 -Dpackaging=jar -Dfile=$PTF
#
%{_bindir}/mvn-jpp install:install-file -DgroupId=com.oracle -DartifactId=dummy_spatial -Dversion=8.1.8 -Dpackaging=pom -Dfile=%{SOURCE3}
%{_bindir}/mvn-jpp install:install-file -DgroupId=com.oracle -DartifactId=dummy_spatial -Dversion=8.1.8 -Dpackaging=jar -Dfile=%{SOURCE4}


pushd build/maven/jar-collector
%{_bindir}/mvn-jpp \
        -e \
        -Dproject.build.outputDirectory=target/classes \
        -s $MAVEN_SETTINGS \
        install
popd

pushd modules/unsupported/app-schema/app-schema-packages/
%{_bindir}/mvn-jpp \
        -e \
        -Dproject.build.outputDirectory=target/classes \
        -s $MAVEN_SETTINGS \
        install
popd

%{_bindir}/mvn-jpp \
        -e \
        -P webservice \
        -s $MAVEN_SETTINGS \
        install

%{_bindir}/mvn-jpp \
        -e \
        -s $MAVEN_SETTINGS \
        javadoc:javadoc


%install
%__rm -rf %{buildroot}

# jar
%__mkdir_p %{buildroot}%{_javadir}/%{name}
%__install -m 644 build/maven/jar-collector/target/jar-collector-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 build/maven/jjtree-javacc/target/jjtree-javacc-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 build/maven/xmlcodegen/target/xmlcodegen-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 demo/example/target/gt-example-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 demo/gmlparsing/target/gt-gmlparsing-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 demo/jdbc/target/gt-demo-jdbc-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 demo/libraryJTS/target/gt-libraryJTS-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 demo/svgsupport/target/gt-svgsupport-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/brewer/target/gt-brewer-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/graph/target/gt-graph-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/validation/target/gt-validation-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/wms/target/gt-wms-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-core/target/gt-xsd-core-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-filter/target/gt-xsd-filter-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-gml2/target/gt-xsd-gml2-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-gml3/target/gt-xsd-gml3-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-kml/target/gt-xsd-kml-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-ows/target/gt-xsd-ows-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-sld/target/gt-xsd-sld-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-wfs/target/gt-xsd-wfs-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/extension/xsd/xsd-wps/target/gt-xsd-wps-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/api/target/gt-api-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/coverage/target/gt-coverage-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/cql/target/gt-cql-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/data/target/gt-data-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/jdbc/target/gt-jdbc-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/jdbc/target/gt-jdbc-%{version}-tests.jar \
               %{buildroot}%{_javadir}/%{name}/gt-jdbc-tests-%{version}.jar
%__install -m 644 modules/library/main/target/gt-main-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/main/target/gt-main-%{version}-tests.jar \
               %{buildroot}%{_javadir}/%{name}/gt-main-tests-%{version}.jar
%__install -m 644 modules/library/metadata/target/gt-metadata-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/referencing/target/gt-referencing-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/render/target/gt-render-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/render/target/gt-render-%{version}-tests.jar \
               %{buildroot}%{_javadir}/%{name}/gt-render-tests-%{version}.jar
%__install -m 644 modules/library/sample-data/target/gt-sample-data-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/library/xml/target/gt-xml-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/ogc/net.opengis.ows/target/net.opengis.ows-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/ogc/net.opengis.wcs/target/net.opengis.wcs-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/ogc/net.opengis.wfs/target/net.opengis.wfs-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/ogc/net.opengis.wfsv/target/net.opengis.wfsv-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/ogc/net.opengis.wps/target/net.opengis.wps-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/ogc/org.w3.xlink/target/org.w3.xlink-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/arcgrid/target/gt-arcgrid-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/arcsde/common/target/gt-arcsde-common-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/arcsde/datastore/target/gt-arcsde-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/arcsde/sde-dummy/target/gt-sde-dummy-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/charts/target/gt-charts-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/epsg-extension/target/gt-epsg-extension-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/epsg-hsql/target/gt-epsg-hsql-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/epsg-postgresql/target/gt-epsg-postgresql-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/epsg-wkt/target/gt-epsg-wkt-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/feature-pregeneralized/target/gt-feature-pregeneralized-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/geotiff/target/gt-geotiff-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/gtopo30/target/gt-gtopo30-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/imageio-ext-gdal/target/gt-imageio-ext-gdal-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/imagemosaic-jdbc/target/gt-imagemosaic-jdbc-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/imagemosaic/target/gt-imagemosaic-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/imagepyramid/target/gt-imagepyramid-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/image/target/gt-image-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jdbc/jdbc-db2/target/gt-jdbc-db2-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jdbc/jdbc-h2/target/gt-jdbc-h2-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jdbc/jdbc-mysql/target/gt-jdbc-mysql-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jdbc/jdbc-oracle/target/gt-jdbc-oracle-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jdbc/jdbc-postgis/target/gt-jdbc-postgis-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jdbc/jdbc-spatialite/target/gt-jdbc-spatialite-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jdbc/jdbc-sqlserver/target/gt-jdbc-sqlserver-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/jp2k/target/gt-jp2k-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/postgis/target/gt-postgis-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/postgis/target/gt-postgis-%{version}-tests.jar \
               %{buildroot}%{_javadir}/%{name}/gt-postgis-tests-%{version}.jar
%__install -m 644 modules/plugin/property/target/gt-property-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/referencing3D/target/gt-referencing3D-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/shapefile/target/gt-shapefile-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/plugin/svg/target/gt-svg-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/app-schema/app-schema/target/gt-app-schema-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}/gt-app-schema-%{version}.jar
%__install -m 644 modules/unsupported/app-schema/app-schema/target/gt-app-schema-%{version}-tests.jar \
               %{buildroot}%{_javadir}/%{name}/gt-app-schema-tests-%{version}.jar
%__install -m 644 modules/unsupported/app-schema/sample-data-access/target/gt-sample-data-access-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/app-schema/webservice/target/gt-webservice-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/caching/target/gt-caching-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/coverageio-netcdf/target/gt-coverageio-netcdf-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/coverageio/target/gt-coverageio-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/coveragetools/target/gt-coveragetools-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/directory/target/gt-directory-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/epsg-h2/target/gt-epsg-h2-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/epsg-oracle/target/gt-epsg-oracle-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/geometry/target/gt-geometry-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/jts-wrapper/target/gt-jts-wrapper-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/mysql/target/gt-mysql-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/oracle-spatial/target/gt-oracle-spatial-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/postgis-versioned/target/gt-postgis-versioned-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/process/target/gt-process-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/shapefile-renderer/target/gt-shapefile-renderer-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/swing/target/gt-swing-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/temporal/target/gt-temporal-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/vpf/target/gt-vpf-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/wfs/target/gt-wfs-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}
%__install -m 644 modules/unsupported/wps/target/gt-wps-%{version}.jar \
               %{buildroot}%{_javadir}/%{name}

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do \
%__ln_s ${jar} ${jar/-%{version}/}; done)

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/cgiutilities-1.0/target/cgiutilities-1.0-1.0.0-2.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s cgiutilities-1.0-1.0.0-2.jar %{buildroot}%{_javadir}/%{name}/cgiutilities-1.0.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/earthresourceml-1.1/target/earthresourceml-1.1-1.1.0-1.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s earthresourceml-1.1-1.1.0-1.jar %{buildroot}%{_javadir}/%{name}/earthresourceml-1.1.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/geosciml-2.0/target/geosciml-2.0-2.0.2-2.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s geosciml-2.0-2.0.2-2.jar %{buildroot}%{_javadir}/%{name}/geosciml-2.0.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/gml-3.1/target/gml-3.1-3.1.1-2.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s gml-3.1-3.1.1-2.jar %{buildroot}%{_javadir}/%{name}/gml-3.1.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/ic-2.0/target/ic-2.0-2.0.0-1.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s ic-2.0-2.0.0-1.jar %{buildroot}%{_javadir}/%{name}/ic-2.0.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/om-1.0/target/om-1.0-1.0.0-2.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s om-1.0-1.0.0-2.jar %{buildroot}%{_javadir}/%{name}/om-1.0.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/sampling-1.0/target/sampling-1.0-1.0.0-2.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s sampling-1.0-1.0.0-2.jar %{buildroot}%{_javadir}/%{name}/sampling-1.0.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/sensorML-1.0.1/target/sensorML-1.0.1-1.0.1-2.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s sensorML-1.0.1-1.0.1-2.jar %{buildroot}%{_javadir}/%{name}/sensorML-1.0.1.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/sweCommon-1.0.1/target/sweCommon-1.0.1-1.0.1-2.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s sweCommon-1.0.1-1.0.1-2.jar %{buildroot}%{_javadir}/%{name}/sweCommon-1.0.1.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/xlink/target/xlink-1.0.0-1.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s xlink-1.0.0-1.jar %{buildroot}%{_javadir}/%{name}/xlink.jar

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/xml/target/xml-1.0.0-1.jar \
               %{buildroot}%{_javadir}/%{name}
%__ln_s xml-1.0.0-1.jar %{buildroot}%{_javadir}/%{name}/xml.jar


# poms
%__mkdir_p %{buildroot}%{_datadir}/maven2/poms
%__install -m 644 pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}.pom
%add_to_maven_depmap org.geotools %{name} %{version} JPP/%{name} %{name}
%__install -m 644 build/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-build.pom
%add_to_maven_depmap org.geotools.maven build %{version} JPP/%{name} build
%__install -m 644 build/maven/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven.pom
%add_to_maven_depmap org.geotools.maven maven %{version} JPP/%{name} maven
%__install -m 644 build/maven/jar-collector/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jar-collector.pom
%add_to_maven_depmap org.geotools.maven jar-collector %{version} JPP/%{name} jar-collector
%__install -m 644 build/maven/javadoc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-javadoc.pom
%add_to_maven_depmap org.geotools.maven javadoc %{version} JPP/%{name} javadoc
%__install -m 644 build/maven/jjtree-javacc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jjtree-javacc.pom
%add_to_maven_depmap org.geotools.maven jjtree-javacc %{version} JPP/%{name} jjtree-javacc
%__install -m 644 build/maven/xmlcodegen/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xmlcodegen.pom
%add_to_maven_depmap org.geotools.maven xmlcodegen %{version} JPP/%{name} xmlcodegen
%__install -m 644 demo/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-demo.pom
%add_to_maven_depmap org.geotools.demo demo %{version} JPP/%{name} demo
%__install -m 644 demo/example/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-example.pom
%add_to_maven_depmap org.geotools.demo gt-example %{version} JPP/%{name} gt-example
%__install -m 644 demo/gmlparsing/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-gmlparsing.pom
%add_to_maven_depmap org.geotools.demo gt-gmlparsing %{version} JPP/%{name} gt-gmlparsing
%__install -m 644 demo/jdbc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-demo-jdbc.pom
%add_to_maven_depmap org.geotools.demo gt-demo-jdbc %{version} JPP/%{name} gt-demo-jdbc
%__install -m 644 demo/libraryJTS/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-libraryJTS.pom
%add_to_maven_depmap org.geotools.demo gt-libraryJTS %{version} JPP/%{name} gt-libraryJTS
%__install -m 644 demo/svgsupport/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-svgsupport.pom
%add_to_maven_depmap org.geotools.demo gt-svgsupport %{version} JPP/%{name} gt-svgsupport
%__install -m 644 demo/xml-po/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xml-po.pom
%add_to_maven_depmap org.geotools.demo gt-xml-po %{version} JPP/%{name} gt-xml-po
%__install -m 644 modules/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-modules.pom
%add_to_maven_depmap org.geotools modules %{version} JPP/%{name} modules
%__install -m 644 modules/extension/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extension.pom
%add_to_maven_depmap org.geotools extension %{version} JPP/%{name} extension
%__install -m 644 modules/extension/brewer/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-brewer.pom
%add_to_maven_depmap org.geotools gt-brewer %{version} JPP/%{name} gt-brewer
%__install -m 644 modules/extension/graph/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-graph.pom
%add_to_maven_depmap org.geotools gt-graph %{version} JPP/%{name} gt-graph
%__install -m 644 modules/extension/validation/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-validation.pom
%add_to_maven_depmap org.geotools gt-validation %{version} JPP/%{name} gt-validation
%__install -m 644 modules/extension/wms/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-wms.pom
%add_to_maven_depmap org.geotools gt-wms %{version} JPP/%{name} gt-wms
%__install -m 644 modules/extension/xsd/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xsd.pom
%add_to_maven_depmap org.geotools.xsd xsd %{version} JPP/%{name} xsd
%__install -m 644 modules/extension/xsd/xsd-core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-core.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-core %{version} JPP/%{name} gt-xsd-core
%__install -m 644 modules/extension/xsd/xsd-filter/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-filter.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-filter %{version} JPP/%{name} gt-xsd-filter
%__install -m 644 modules/extension/xsd/xsd-gml2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-gml2.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-gml2 %{version} JPP/%{name} gt-xsd-gml2
%__install -m 644 modules/extension/xsd/xsd-gml3/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-gml3.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-gml3 %{version} JPP/%{name} gt-xsd-gml3
%__install -m 644 modules/extension/xsd/xsd-kml/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-kml.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-kml %{version} JPP/%{name} gt-xsd-kml
%__install -m 644 modules/extension/xsd/xsd-ows/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-ows.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-ows %{version} JPP/%{name} gt-xsd-ows
%__install -m 644 modules/extension/xsd/xsd-sld/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-sld.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-sld %{version} JPP/%{name} gt-xsd-sld
%__install -m 644 modules/extension/xsd/xsd-wfs/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-wfs.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-wfs %{version} JPP/%{name} gt-xsd-wfs
%__install -m 644 modules/extension/xsd/xsd-wps/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xsd-wps.pom
%add_to_maven_depmap org.geotools.xsd gt-xsd-wps %{version} JPP/%{name} gt-xsd-wps
%__install -m 644 modules/library/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-library.pom
%add_to_maven_depmap org.geotools library %{version} JPP/%{name} library
%__install -m 644 modules/library/api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-api.pom
%add_to_maven_depmap org.geotools gt-api %{version} JPP/%{name} gt-api
%__install -m 644 modules/library/coverage/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-coverage.pom
%add_to_maven_depmap org.geotools gt-coverage %{version} JPP/%{name} gt-coverage
%__install -m 644 modules/library/cql/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-cql.pom
%add_to_maven_depmap org.geotools gt-cql %{version} JPP/%{name} gt-cql
%__install -m 644 modules/library/data/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-data.pom
%add_to_maven_depmap org.geotools gt-data %{version} JPP/%{name} gt-data
%__install -m 644 modules/library/jdbc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc.pom
%add_to_maven_depmap org.geotools gt-jdbc %{version} JPP/%{name} gt-jdbc
%__install -m 644 modules/library/legacy/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-legacy.pom
%__install -m 644 modules/library/main/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-main.pom
%add_to_maven_depmap org.geotools gt-main %{version} JPP/%{name} gt-main
%__install -m 644 modules/library/metadata/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-metadata.pom
%add_to_maven_depmap org.geotools gt-metadata %{version} JPP/%{name} gt-metadata
%__install -m 644 modules/library/referencing/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-referencing.pom
%add_to_maven_depmap org.geotools gt-referencing %{version} JPP/%{name} gt-referencing
%__install -m 644 modules/library/render/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-render.pom
%add_to_maven_depmap org.geotools gt-render %{version} JPP/%{name} gt-render
%__install -m 644 modules/library/sample-data/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-sample-data.pom
%add_to_maven_depmap org.geotools gt-sample-data %{version} JPP/%{name} gt-sample-data
%__install -m 644 modules/library/xml/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-xml.pom
%add_to_maven_depmap org.geotools gt-xml %{version} JPP/%{name} gt-xml
%__install -m 644 modules/ogc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ogc.pom
%add_to_maven_depmap org.geotools ogc %{version} JPP/%{name} ogc
%__install -m 644 modules/ogc/net.opengis.ows/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-net.opengis.ows.pom
%add_to_maven_depmap org.geotools.ogc net.opengis.ows %{version} JPP/%{name} net.opengis.ows
%__install -m 644 modules/ogc/net.opengis.wcs/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-net.opengis.wcs.pom
%add_to_maven_depmap org.geotools.ogc net.opengis.wcs %{version} JPP/%{name} net.opengis.wcs
%__install -m 644 modules/ogc/net.opengis.wfs/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-net.opengis.wfs.pom
%add_to_maven_depmap org.geotools.ogc net.opengis.wfs %{version} JPP/%{name} net.opengis.wfs
%__install -m 644 modules/ogc/net.opengis.wfsv/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-net.opengis.wfsv.pom
%add_to_maven_depmap org.geotools.ogc net.opengis.wfsv %{version} JPP/%{name} net.opengis.wfsv
%__install -m 644 modules/ogc/net.opengis.wps/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-net.opengis.wps.pom
%add_to_maven_depmap org.geotools.ogc net.opengis.wps %{version} JPP/%{name} net.opengis.wps
%__install -m 644 modules/ogc/org.w3.xlink/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.w3.xlink.pom
%add_to_maven_depmap org.geotools.ogc org.w3.xlink %{version} JPP/%{name} org.w3.xlink
%__install -m 644 modules/plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-plugin.pom
%add_to_maven_depmap org.geotools plugin %{version} JPP/%{name} plugin
%__install -m 644 modules/plugin/arcgrid/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-arcgrid.pom
%add_to_maven_depmap org.geotools gt-arcgrid %{version} JPP/%{name} gt-arcgrid
%__install -m 644 modules/plugin/arcsde/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-arcsde-plugin.pom
%add_to_maven_depmap org.geotools arcsde-plugin %{version} JPP/%{name} arcsde-plugin
%__install -m 644 modules/plugin/arcsde/common/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-arcsde-common.pom
%add_to_maven_depmap org.geotools gt-arcsde-common %{version} JPP/%{name} gt-arcsde-common
%__install -m 644 modules/plugin/arcsde/datastore/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-arcsde.pom
%add_to_maven_depmap org.geotools gt-arcsde %{version} JPP/%{name} gt-arcsde
%__install -m 644 modules/plugin/arcsde/sde-dummy/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-sde-dummy.pom
%add_to_maven_depmap org.geotools gt-sde-dummy %{version} JPP/%{name} gt-sde-dummy
%__install -m 644 modules/plugin/charts/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-charts.pom
%add_to_maven_depmap org.geotools gt-charts %{version} JPP/%{name} gt-charts
%__install -m 644 modules/plugin/db2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-db2.pom
%add_to_maven_depmap org.geotools gt-db2 %{version} JPP/%{name} gt-db2
%__install -m 644 modules/plugin/epsg-extension/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-epsg-extension.pom
%add_to_maven_depmap org.geotools gt-epsg-extension %{version} JPP/%{name} gt-epsg-extension
%__install -m 644 modules/plugin/epsg-hsql/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-epsg-hsql.pom
%add_to_maven_depmap org.geotools gt-epsg-hsql %{version} JPP/%{name} gt-epsg-hsql
%__install -m 644 modules/plugin/epsg-postgresql/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-epsg-postgresql.pom
%add_to_maven_depmap org.geotools gt-epsg-postgresql %{version} JPP/%{name} gt-epsg-postgresql
%__install -m 644 modules/plugin/epsg-wkt/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-epsg-wkt.pom
%add_to_maven_depmap org.geotools gt-epsg-wkt %{version} JPP/%{name} gt-epsg-wkt
%__install -m 644 modules/plugin/feature-pregeneralized/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-feature-pregeneralized.pom
%add_to_maven_depmap org.geotools gt-feature-pregeneralized %{version} JPP/%{name} gt-feature-pregeneralized
%__install -m 644 modules/plugin/geotiff/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-geotiff.pom
%add_to_maven_depmap org.geotools gt-geotiff %{version} JPP/%{name} gt-geotiff
%__install -m 644 modules/plugin/gtopo30/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-gtopo30.pom
%add_to_maven_depmap org.geotools gt-gtopo30 %{version} JPP/%{name} gt-gtopo30
%__install -m 644 modules/plugin/imageio-ext-gdal/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-imageio-ext-gdal.pom
%add_to_maven_depmap org.geotools gt-imageio-ext-gdal %{version} JPP/%{name} gt-imageio-ext-gdal
%__install -m 644 modules/plugin/imagemosaic-jdbc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-imagemosaic-jdbc.pom
%add_to_maven_depmap org.geotools gt-imagemosaic-jdbc %{version} JPP/%{name} gt-imagemosaic-jdbc
%__install -m 644 modules/plugin/imagemosaic/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-imagemosaic.pom
%add_to_maven_depmap org.geotools gt-imagemosaic %{version} JPP/%{name} gt-imagemosaic
%__install -m 644 modules/plugin/image/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-image.pom
%add_to_maven_depmap org.geotools gt-image %{version} JPP/%{name} gt-image
%__install -m 644 modules/plugin/imagepyramid/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-imagepyramid.pom
%add_to_maven_depmap org.geotools gt-imagepyramid %{version} JPP/%{name} gt-imagepyramid
%__install -m 644 modules/plugin/jdbc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc %{version} JPP/%{name} gt-jdbc
%__install -m 644 modules/plugin/jdbc/jdbc-db2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-db2.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc-db2 %{version} JPP/%{name} gt-jdbc-db2
%__install -m 644 modules/plugin/jdbc/jdbc-h2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-h2.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc-h2 %{version} JPP/%{name} gt-jdbc-h2
%__install -m 644 modules/plugin/jdbc/jdbc-mysql/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-mysql.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc-mysql %{version} JPP/%{name} gt-jdbc-mysql
%__install -m 644 modules/plugin/jdbc/jdbc-oracle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-oracle.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc-oracle %{version} JPP/%{name} gt-jdbc-oracle
%__install -m 644 modules/plugin/jdbc/jdbc-postgis/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-postgis.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc-postgis %{version} JPP/%{name} gt-jdbc-postgis
%__install -m 644 modules/plugin/jdbc/jdbc-spatialite/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-spatialite.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc-spatialite %{version} JPP/%{name} gt-jdbc-spatialite
%__install -m 644 modules/plugin/jdbc/jdbc-sqlserver/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-sqlserver.pom
%add_to_maven_depmap org.geotools.jdbc gt-jdbc-sqlserver %{version} JPP/%{name} gt-jdbc-sqlserver
%__install -m 644 modules/plugin/jp2k/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jp2k.pom
%add_to_maven_depmap org.geotools gt-jp2k %{version} JPP/%{name} gt-jp2k
%__install -m 644 modules/plugin/postgis/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-postgis.pom
%add_to_maven_depmap org.geotools gt-postgis %{version} JPP/%{name} gt-postgis
%__install -m 644 modules/plugin/property/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-property.pom
%add_to_maven_depmap org.geotools gt-property %{version} JPP/%{name} gt-property
%__install -m 644 modules/plugin/referencing3D/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-referencing3D.pom
%add_to_maven_depmap org.geotools gt-referencing3D %{version} JPP/%{name} gt-referencing3D
%__install -m 644 modules/plugin/shapefile/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-shapefile.pom
%add_to_maven_depmap org.geotools gt-shapefile %{version} JPP/%{name} gt-shapefile
%__install -m 644 modules/plugin/svg/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-svg.pom
%add_to_maven_depmap org.geotools gt-svg %{version} JPP/%{name} gt-svg
%__install -m 644 modules/unsupported/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-unsupported.pom
%add_to_maven_depmap org.geotools unsupported %{version} JPP/%{name} unsupported
%__install -m 644 modules/unsupported/app-schema/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-app-schema.pom
%add_to_maven_depmap org.geotools app-schema %{version} JPP/%{name} app-schema
%__install -m 644 modules/unsupported/app-schema/app-schema/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-app-schema.pom
%add_to_maven_depmap org.geotools gt-app-schema %{version} JPP/%{name} gt-app-schema
%__install -m 644 modules/unsupported/app-schema/jdbc-regfunc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-regfunc.pom
%add_to_maven_depmap org.geotools gt-jdbc-regfunc %{version} JPP/%{name} gt-jdbc-regfunc
%__install -m 644 modules/unsupported/app-schema/sample-data-access-isogeom/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-sample-data-access-isogeom.pom
%add_to_maven_depmap org.geotools gt-sample-data-access-isogeom %{version} JPP/%{name} gt-sample-data-access-isogeom
%__install -m 644 modules/unsupported/app-schema/sample-data-access/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-sample-data-access.pom
%add_to_maven_depmap org.geotools gt-sample-data-access %{version} JPP/%{name} gt-sample-data-access
%__install -m 644 modules/unsupported/app-schema/webservice/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-webservice.pom
%add_to_maven_depmap org.geotools gt-webservice %{version} JPP/%{name} gt-webservice
%__install -m 644 modules/unsupported/caching/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-caching.pom
%add_to_maven_depmap org.geotools gt-caching %{version} JPP/%{name} gt-caching
%__install -m 644 modules/unsupported/coverageio-netcdf/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-coverageio-netcdf.pom
%add_to_maven_depmap org.geotools gt-coverageio-netcdf %{version} JPP/%{name} gt-coverageio-netcdf
%__install -m 644 modules/unsupported/coverageio/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-coverageio.pom
%add_to_maven_depmap org.geotools gt-coverageio %{version} JPP/%{name} gt-coverageio
%__install -m 644 modules/unsupported/coveragetools/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-coveragetools.pom
%add_to_maven_depmap org.geotools gt-coveragetools %{version} JPP/%{name} gt-coveragetools
%__install -m 644 modules/unsupported/directory/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-directory.pom
%add_to_maven_depmap org.geotools gt-directory %{version} JPP/%{name} gt-directory
%__install -m 644 modules/unsupported/edigeo/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-edigeo.pom
%add_to_maven_depmap org.geotools gt-edigeo %{version} JPP/%{name} gt-edigeo
%__install -m 644 modules/unsupported/epsg-h2/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-epsg-h2.pom
%add_to_maven_depmap org.geotools gt-epsg-h2 %{version} JPP/%{name} gt-epsg-h2
%__install -m 644 modules/unsupported/epsg-oracle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-epsg-oracle.pom
%add_to_maven_depmap org.geotools gt-epsg-oracle %{version} JPP/%{name} gt-epsg-oracle
%__install -m 644 modules/unsupported/example/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-example.pom
%add_to_maven_depmap org.geotools gt-example %{version} JPP/%{name} gt-example
%__install -m 644 modules/unsupported/geometryless/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-geometryless.pom
%add_to_maven_depmap org.geotools gt-geometryless %{version} JPP/%{name} gt-geometryless
%__install -m 644 modules/unsupported/geometry/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-geometry.pom
%add_to_maven_depmap org.geotools gt-geometry %{version} JPP/%{name} gt-geometry
%__install -m 644 modules/unsupported/jai-tools/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jai-tools.pom
%add_to_maven_depmap org.geotools gt-jai-tools %{version} JPP/%{name} gt-jai-tools
%__install -m 644 modules/unsupported/jdbc-ng/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jdbc-ng.pom
%add_to_maven_depmap org.geotools gt-jdbc-ng %{version} JPP/%{name} gt-jdbc-ng
%__install -m 644 modules/unsupported/jts-wrapper/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-jts-wrapper.pom
%add_to_maven_depmap org.geotools gt-jts-wrapper %{version} JPP/%{name} gt-jts-wrapper
%__install -m 644 modules/unsupported/mysql/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-mysql.pom
%add_to_maven_depmap org.geotools gt-mysql %{version} JPP/%{name} gt-mysql
%__install -m 644 modules/unsupported/ogr/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-ogr.pom
%add_to_maven_depmap org.geotools gt-ogr %{version} JPP/%{name} gt-ogr
%__install -m 644 modules/unsupported/oracle-spatial/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-oracle-spatial.pom
%add_to_maven_depmap org.geotools gt-oracle-spatial %{version} JPP/%{name} gt-oracle-spatial
%__install -m 644 modules/unsupported/postgis-versioned/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-postgis-versioned.pom
%add_to_maven_depmap org.geotools gt-postgis-versioned %{version} JPP/%{name} gt-postgis-versioned
%__install -m 644 modules/unsupported/process/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-process.pom
%add_to_maven_depmap org.geotools gt-process %{version} JPP/%{name} gt-process
%__install -m 644 modules/unsupported/shapefile-renderer/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-shapefile-renderer.pom
%add_to_maven_depmap org.geotools gt-shapefile-renderer %{version} JPP/%{name} gt-shapefile-renderer
%__install -m 644 modules/unsupported/sql-datastore/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-sql-datastore.pom
%add_to_maven_depmap org.geotools gt-sql-datastore %{version} JPP/%{name} gt-sql-datastore
%__install -m 644 modules/unsupported/swing/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-swing.pom
%add_to_maven_depmap org.geotools gt-swing %{version} JPP/%{name} gt-swing
%__install -m 644 modules/unsupported/temporal/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-temporal.pom
%add_to_maven_depmap org.geotools gt-temporal %{version} JPP/%{name} gt-temporal
%__install -m 644 modules/unsupported/vpf/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-vpf.pom
%add_to_maven_depmap org.geotools gt-vpf %{version} JPP/%{name} gt-vpf
%__install -m 644 modules/unsupported/wfs/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-wfs.pom
%add_to_maven_depmap org.geotools gt-wfs %{version} JPP/%{name} gt-wfs
#%__install -m 644 modules/unsupported/widgets-swing-pending/pom.xml \
#               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-widgets-swing-pending.pom
#%add_to_maven_depmap org.geotools gt-widgets-swing-pending %{version} JPP/%{name} gt-widgets-swing-pending
#%__install -m 644 modules/unsupported/widgets-swing/pom.xml \
#               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-widgets-swing.pom
#%add_to_maven_depmap org.geotools gt-widgets-swing %{version} JPP/%{name} gt-widgets-swing
%__install -m 644 modules/unsupported/wps/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gt-wps.pom
%add_to_maven_depmap org.geotools gt-wps %{version} JPP/%{name} gt-wps

#BUILD/geotools-2.6.4/spike/coverage-api/pom.xml
#BUILD/geotools-2.6.4/spike/geometry/pom.xml
#BUILD/geotools-2.6.4/spike/jan/gsoc-transformations/pom.xml
#BUILD/geotools-2.6.4/spike/zzorn/geotools-renderer3d/pom.xml
#

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/cgiutilities-1.0/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cgiutilities-1.0.pom
%add_to_maven_depmap org.geosciml cgiutilities-1.0 1.0.0-2 JPP/%{name} cgiutilities-1.0

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/earthresourceml-1.1/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-earthresourceml-1.1.pom
%add_to_maven_depmap org.earthresourceml earthresourceml-1.1 1.1.0-1 JPP/%{name} earthresourceml-1.1

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/geosciml-2.0/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-geosciml-2.0.pom
%add_to_maven_depmap org.geosciml geosciml-2.0 2.0.2-2 JPP/%{name} geosciml-2.0

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/gml-3.1/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gml-3.1.pom
%add_to_maven_depmap net.opengis.schemas gml-3.1 3.1.1-2 JPP/%{name} gml-3.1

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/ic-2.0/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ic-2.0.pom
%add_to_maven_depmap net.opengis.schemas ic-2.0 2.0.0-1 JPP/%{name} ic-2.0

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/om-1.0/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-om-1.0.pom
%add_to_maven_depmap net.opengis.schemas om-1.0 1.0.0-2 JPP/%{name} om-1.0

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/sampling-1.0/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-sampling-1.0.pom
%add_to_maven_depmap net.opengis.schemas sampling-1.0 1.0.0-2 JPP/%{name} sampling-1.0

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/sensorML-1.0.1/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-sensorML-1.0.1.pom
%add_to_maven_depmap net.opengis.schemas sensorML-1.0.1 1.0.1-2 JPP/%{name} sensorML-1.0.1

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/sweCommon-1.0.1/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-sweCommon-1.0.1.pom
%add_to_maven_depmap net.opengis.schemas sweCommon-1.0.1 1.0.1-2 JPP/%{name} sweCommon-1.0.1

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/xlink/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xlink.pom
%add_to_maven_depmap net.opengis.schemas xlink 1.0.0-1 JPP/%{name} xlink

%__install -m 644 modules/unsupported/app-schema/app-schema-packages/xml/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xml.pom
%add_to_maven_depmap org.w3 xml 1.0.0-1 JPP/%{name} xml


# javadoc 
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version} 
%__cp -a target/site/apidocs/* \
               %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%clean
%__rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files libraries
%defattr(-,root,root,-)
%{_javadir}/%{name}/gt-api.jar
%{_javadir}/%{name}/gt-api-%{version}.jar
%{_javadir}/%{name}/gt-coverage.jar
%{_javadir}/%{name}/gt-coverage-%{version}.jar
%{_javadir}/%{name}/gt-cql.jar
%{_javadir}/%{name}/gt-cql-%{version}.jar
%{_javadir}/%{name}/gt-data.jar
%{_javadir}/%{name}/gt-data-%{version}.jar
%{_javadir}/%{name}/gt-jdbc.jar
%{_javadir}/%{name}/gt-jdbc-%{version}.jar
%{_javadir}/%{name}/gt-jdbc-tests.jar
%{_javadir}/%{name}/gt-jdbc-tests-%{version}.jar
%{_javadir}/%{name}/gt-main.jar
%{_javadir}/%{name}/gt-main-%{version}.jar
%{_javadir}/%{name}/gt-main-tests.jar
%{_javadir}/%{name}/gt-main-tests-%{version}.jar
%{_javadir}/%{name}/gt-metadata.jar
%{_javadir}/%{name}/gt-metadata-%{version}.jar
%{_javadir}/%{name}/gt-referencing.jar
%{_javadir}/%{name}/gt-referencing-%{version}.jar
%{_javadir}/%{name}/gt-render.jar
%{_javadir}/%{name}/gt-render-%{version}.jar
%{_javadir}/%{name}/gt-render-tests.jar
%{_javadir}/%{name}/gt-render-tests-%{version}.jar
%{_javadir}/%{name}/gt-sample-data.jar
%{_javadir}/%{name}/gt-sample-data-%{version}.jar
%{_javadir}/%{name}/gt-xml.jar
%{_javadir}/%{name}/gt-xml-%{version}.jar

%files build 
%defattr(-,root,root,-) 
%{_javadir}/%{name}/jar-collector.jar
%{_javadir}/%{name}/jar-collector-%{version}.jar
%{_javadir}/%{name}/jjtree-javacc.jar
%{_javadir}/%{name}/jjtree-javacc-%{version}.jar
%{_javadir}/%{name}/xmlcodegen.jar
%{_javadir}/%{name}/xmlcodegen-%{version}.jar

%files demo
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-example.jar
%{_javadir}/%{name}/gt-example-%{version}.jar
%{_javadir}/%{name}/gt-gmlparsing.jar
%{_javadir}/%{name}/gt-gmlparsing-%{version}.jar
%{_javadir}/%{name}/gt-demo-jdbc.jar
%{_javadir}/%{name}/gt-demo-jdbc-%{version}.jar
%{_javadir}/%{name}/gt-libraryJTS.jar
%{_javadir}/%{name}/gt-libraryJTS-%{version}.jar
%{_javadir}/%{name}/gt-svgsupport.jar
%{_javadir}/%{name}/gt-svgsupport-%{version}.jar

%files extensions
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-brewer.jar
%{_javadir}/%{name}/gt-brewer-%{version}.jar
%{_javadir}/%{name}/gt-graph.jar
%{_javadir}/%{name}/gt-graph-%{version}.jar
%{_javadir}/%{name}/gt-validation.jar
%{_javadir}/%{name}/gt-validation-%{version}.jar
%{_javadir}/%{name}/gt-wms.jar
%{_javadir}/%{name}/gt-wms-%{version}.jar
%{_javadir}/%{name}/gt-xsd-core.jar
%{_javadir}/%{name}/gt-xsd-core-%{version}.jar
%{_javadir}/%{name}/gt-xsd-filter.jar
%{_javadir}/%{name}/gt-xsd-filter-%{version}.jar
%{_javadir}/%{name}/gt-xsd-gml2.jar
%{_javadir}/%{name}/gt-xsd-gml2-%{version}.jar
%{_javadir}/%{name}/gt-xsd-gml3.jar
%{_javadir}/%{name}/gt-xsd-gml3-%{version}.jar
%{_javadir}/%{name}/gt-xsd-kml.jar
%{_javadir}/%{name}/gt-xsd-kml-%{version}.jar
%{_javadir}/%{name}/gt-xsd-ows.jar
%{_javadir}/%{name}/gt-xsd-ows-%{version}.jar
%{_javadir}/%{name}/gt-xsd-sld.jar
%{_javadir}/%{name}/gt-xsd-sld-%{version}.jar
%{_javadir}/%{name}/gt-xsd-wfs.jar
%{_javadir}/%{name}/gt-xsd-wfs-%{version}.jar
%{_javadir}/%{name}/gt-xsd-wps.jar
%{_javadir}/%{name}/gt-xsd-wps-%{version}.jar

%files ogc
%defattr(-,root,root,-) 
%{_javadir}/%{name}/net.opengis.ows.jar
%{_javadir}/%{name}/net.opengis.ows-%{version}.jar
%{_javadir}/%{name}/net.opengis.wcs.jar
%{_javadir}/%{name}/net.opengis.wcs-%{version}.jar
%{_javadir}/%{name}/net.opengis.wfs.jar
%{_javadir}/%{name}/net.opengis.wfs-%{version}.jar
%{_javadir}/%{name}/net.opengis.wfsv.jar
%{_javadir}/%{name}/net.opengis.wfsv-%{version}.jar
%{_javadir}/%{name}/net.opengis.wps.jar
%{_javadir}/%{name}/net.opengis.wps-%{version}.jar
%{_javadir}/%{name}/org.w3.xlink.jar
%{_javadir}/%{name}/org.w3.xlink-%{version}.jar

%files plugin-arcgrid
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-arcgrid.jar
%{_javadir}/%{name}/gt-arcgrid-%{version}.jar

%files plugin-arcsde
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-arcsde-common.jar
%{_javadir}/%{name}/gt-arcsde-common-%{version}.jar
%{_javadir}/%{name}/gt-arcsde.jar
%{_javadir}/%{name}/gt-arcsde-%{version}.jar
%{_javadir}/%{name}/gt-sde-dummy.jar
%{_javadir}/%{name}/gt-sde-dummy-%{version}.jar

%files plugin-charts
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-charts.jar
%{_javadir}/%{name}/gt-charts-%{version}.jar

%files plugin-epsg-extension
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-epsg-extension.jar
%{_javadir}/%{name}/gt-epsg-extension-%{version}.jar

%files plugin-epsg-hsql
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-epsg-hsql.jar
%{_javadir}/%{name}/gt-epsg-hsql-%{version}.jar

%files plugin-epsg-postgresql
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-epsg-postgresql.jar
%{_javadir}/%{name}/gt-epsg-postgresql-%{version}.jar

%files plugin-epsg-wkt
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-epsg-wkt.jar
%{_javadir}/%{name}/gt-epsg-wkt-%{version}.jar

%files plugin-feature-pregeneralized
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-feature-pregeneralized.jar
%{_javadir}/%{name}/gt-feature-pregeneralized-%{version}.jar

%files plugin-geotiff
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-geotiff.jar
%{_javadir}/%{name}/gt-geotiff-%{version}.jar

%files plugin-gtopo30
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-gtopo30.jar
%{_javadir}/%{name}/gt-gtopo30-%{version}.jar

%files plugin-imageio-ext-gdal
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-imageio-ext-gdal.jar
%{_javadir}/%{name}/gt-imageio-ext-gdal-%{version}.jar

%files plugin-imagemosaic-jdbc
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-imagemosaic-jdbc.jar
%{_javadir}/%{name}/gt-imagemosaic-jdbc-%{version}.jar

%files plugin-imagemosaic
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-imagemosaic.jar
%{_javadir}/%{name}/gt-imagemosaic-%{version}.jar

%files plugin-imagepyramid
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-imagepyramid.jar
%{_javadir}/%{name}/gt-imagepyramid-%{version}.jar

%files plugin-image
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-image.jar
%{_javadir}/%{name}/gt-image-%{version}.jar

%files plugin-jdbc-db2
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jdbc-db2.jar
%{_javadir}/%{name}/gt-jdbc-db2-%{version}.jar

%files plugin-jdbc-h2
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jdbc-h2.jar
%{_javadir}/%{name}/gt-jdbc-h2-%{version}.jar

%files plugin-jdbc-mysql
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jdbc-mysql.jar
%{_javadir}/%{name}/gt-jdbc-mysql-%{version}.jar

%files plugin-jdbc-oracle
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jdbc-oracle.jar
%{_javadir}/%{name}/gt-jdbc-oracle-%{version}.jar

%files plugin-jdbc-postgis
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jdbc-postgis.jar
%{_javadir}/%{name}/gt-jdbc-postgis-%{version}.jar

%files plugin-jdbc-spatialite
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jdbc-spatialite.jar
%{_javadir}/%{name}/gt-jdbc-spatialite-%{version}.jar

%files plugin-jdbc-sqlserver
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jdbc-sqlserver.jar
%{_javadir}/%{name}/gt-jdbc-sqlserver-%{version}.jar

%files plugin-jp2k
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-jp2k.jar
%{_javadir}/%{name}/gt-jp2k-%{version}.jar

%files plugin-postgis
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-postgis.jar
%{_javadir}/%{name}/gt-postgis-%{version}.jar
%{_javadir}/%{name}/gt-postgis-tests.jar
%{_javadir}/%{name}/gt-postgis-tests-%{version}.jar

%files plugin-property
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-property.jar
%{_javadir}/%{name}/gt-property-%{version}.jar

%files plugin-referencing3D
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-referencing3D.jar
%{_javadir}/%{name}/gt-referencing3D-%{version}.jar

%files plugin-shapefile
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-shapefile.jar
%{_javadir}/%{name}/gt-shapefile-%{version}.jar

%files plugin-svg
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-svg.jar
%{_javadir}/%{name}/gt-svg-%{version}.jar

%files unsupported
%defattr(-,root,root,-) 
%{_javadir}/%{name}/gt-app-schema.jar
%{_javadir}/%{name}/gt-app-schema-%{version}.jar
%{_javadir}/%{name}/gt-app-schema-tests.jar
%{_javadir}/%{name}/gt-app-schema-tests-%{version}.jar
%{_javadir}/%{name}/gt-sample-data-access.jar
%{_javadir}/%{name}/gt-sample-data-access-%{version}.jar
%{_javadir}/%{name}/gt-caching.jar
%{_javadir}/%{name}/gt-caching-%{version}.jar
%{_javadir}/%{name}/gt-coverageio-netcdf.jar
%{_javadir}/%{name}/gt-coverageio-netcdf-%{version}.jar
%{_javadir}/%{name}/gt-coverageio.jar
%{_javadir}/%{name}/gt-coverageio-%{version}.jar
%{_javadir}/%{name}/gt-coveragetools.jar
%{_javadir}/%{name}/gt-coveragetools-%{version}.jar
%{_javadir}/%{name}/gt-directory.jar
%{_javadir}/%{name}/gt-directory-%{version}.jar
%{_javadir}/%{name}/gt-epsg-h2.jar
%{_javadir}/%{name}/gt-epsg-h2-%{version}.jar
%{_javadir}/%{name}/gt-epsg-oracle.jar
%{_javadir}/%{name}/gt-epsg-oracle-%{version}.jar
%{_javadir}/%{name}/gt-geometry.jar
%{_javadir}/%{name}/gt-geometry-%{version}.jar
%{_javadir}/%{name}/gt-jts-wrapper.jar
%{_javadir}/%{name}/gt-jts-wrapper-%{version}.jar
%{_javadir}/%{name}/gt-mysql.jar
%{_javadir}/%{name}/gt-mysql-%{version}.jar
%{_javadir}/%{name}/gt-oracle-spatial.jar
%{_javadir}/%{name}/gt-oracle-spatial-%{version}.jar
%{_javadir}/%{name}/gt-postgis-versioned.jar
%{_javadir}/%{name}/gt-postgis-versioned-%{version}.jar
%{_javadir}/%{name}/gt-process.jar
%{_javadir}/%{name}/gt-process-%{version}.jar
%{_javadir}/%{name}/gt-shapefile-renderer.jar
%{_javadir}/%{name}/gt-shapefile-renderer-%{version}.jar
%{_javadir}/%{name}/gt-swing.jar
%{_javadir}/%{name}/gt-swing-%{version}.jar
%{_javadir}/%{name}/gt-temporal.jar
%{_javadir}/%{name}/gt-temporal-%{version}.jar
%{_javadir}/%{name}/gt-vpf.jar
%{_javadir}/%{name}/gt-vpf-%{version}.jar
%{_javadir}/%{name}/gt-webservice.jar
%{_javadir}/%{name}/gt-webservice-%{version}.jar
%{_javadir}/%{name}/gt-wfs.jar
%{_javadir}/%{name}/gt-wfs-%{version}.jar
%{_javadir}/%{name}/gt-wps.jar
%{_javadir}/%{name}/gt-wps-%{version}.jar

%files app-schema-packages
%defattr(-,root,root,-) 
%{_javadir}/%{name}/cgiutilities-1.0*.jar
%{_javadir}/%{name}/earthresourceml-1.1*.jar
%{_javadir}/%{name}/geosciml-2.0*.jar
%{_javadir}/%{name}/gml-3.1*.jar
%{_javadir}/%{name}/ic-2.0*.jar
%{_javadir}/%{name}/om-1.0*.jar
%{_javadir}/%{name}/sampling-1.0*.jar
%{_javadir}/%{name}/sensorML-1.0.1*.jar
%{_javadir}/%{name}/sweCommon-1.0.1*.jar
%{_javadir}/%{name}/xlink.jar
%{_javadir}/%{name}/xlink-*.jar
%{_javadir}/%{name}/xml.jar
%{_javadir}/%{name}/xml-*.jar

%files javadoc 
%defattr(-,root,root,-) 
%{_javadocdir}/%{name}-%{version} 
%{_javadocdir}/%{name} 

%changelog
* Mon Nov 08 2010 Ralph Apel <r.apel@r-apel.de> 2.6.5-1
- 2.6.5
- app-schema-packages added
- build maven jar-collector first

* Sat Nov 05 2010 Ralph Apel <r.apel@r-apel.de> 2.6.4-3
- Fix h2-database Req to h2database
- Drop gdal-java Req: its gdal-bindings from imageio-ext
- Inhibit xz payload
- Don't use epoch macro
- Add app-schema/webservice

* Wed Nov 03 2010 Ralph Apel <r.apel@r-apel.de> 2.6.4-2
- Fix line endings with dos2unix
- Group jars into subpackages
- Generate and install the javadoc
- Assign runtime dependencies

* Wed Jul 07 2010 Ralph Apel <r.apel@r-apel.de> 2.6.4-1
- First release

